package cz.kebrt.unitcheck.api.data;

/**
 * Result of one execution path that reached the end of a test.
 */
public interface CheckResult {

    /**
     * Is the execution successful.
     *
     * @return <code>true</code> when the execution path contains no errors
     */
    boolean isSuccessful();

}
