package cz.kebrt.unitcheck.test;

import org.junit.Test;

public class Deadlock {

	static Object lock1 = new Object();
	static Object lock2 = new Object();
	static int counter;

	// public static void main(String[] args) {
	@Test
	public void testLockOrderDeadlock() {
		Thread t1 = new Thread(new Runnable() {
			public void run() {
				synchronized (lock1) {
					synchronized (lock2) {
						counter++;
					}
				}
				System.out.println("t1 finished");
			}
		});

		Thread t2 = new Thread(new Runnable() {
			public void run() {
				synchronized (lock2) {
					synchronized (lock1) {
						counter--;
					}
				}
				System.out.println("t2 finished");
			}
		});

		t1.start();
		t2.start();

		try {
			t1.join();
			t2.join();
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
}
